<?php
/**
 * pragmaMx  Content Management System
 * Copyright (c) 2007 pragmaMx Dev Team - http://pragmaMx.org
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * $Source: /home/www/dps3311/home/cvsroot/pragmamx/pragmamx_01/admin/modules/mxeditor.php,v $
 * $Revision: 1.24 $
 * $Author: tora60 $
 * $Date: 2007/06/19 05:13:38 $
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

if (!mxGetAdminPref("radminsuper")) {
    mxErrorScreen("Access Denied");
    die();
} 

$config_cmsdir = "spaw";
// Sprachdatei auswaehlen
$langpath = "admin/language/editor";
if (@file_exists("$langpath/lang-" . $currentlang . ".php")) {
    include_once("$langpath/lang-" . $currentlang . ".php");
} else {
    include_once("$langpath/lang-english.php");
} 

$browserimagedir = "images/browser";

function wysiwyg_sup_browser()
{
    global $browserimagedir;
    return '
	<table border="0" cellpadding="3" cellspacing="3" align="center">
	<tr>
	<td colspan="4" valign="middle" align="center"><font class="title"><strong>- ' . _FCKE_BRWSRSUPPORT . ' -</strong></font></td>
	</tr><tr>
	<td valign="middle" align="center"><a href="http://www.netscape.de" target="_blank"><img src="' . $browserimagedir . '/logo_netscape.jpg" alt="' . _FCKE_NETSCAPE . ' 7+" height="36" border="0" /></a></td>
	<td valign="middle" align="center"><a href="http://www.mozilla-europe.org/de/products/mozilla1x" target="_blank"><img src="' . $browserimagedir . '/logo_mozilla.gif" alt="' . _FCKE_MOZILLA . ' 1.3+" height="36" border="0" /></a></td>
	<td valign="middle" align="center"><a href="http://www.mozilla-europe.org/de/products/firefox" target="_blank"><img src="' . $browserimagedir . '/logo_firefox.jpg" alt="' . _FCKE_FIREFOX . ' 1.0+" height="36" border="0" /></a></td>
	<td valign="middle" align="center"><a href="http://www.microsoft.com/windows/ie" target="_blank"><img src="' . $browserimagedir . '/logo_ie.gif" alt="' . _FCKE_MSSCHROTT . ' 5.5+" height="36" border="0" /></a></td>
	</tr><tr>
	<td colspan="4" valign="middle" align="center">&nbsp;' . _FCKE_POWERED . ' <a href="http://www.solmetra.com/en/disp.php/en_products/en_spaw/en_spaw_intro" title="' . _FCKE_NEWWIN . '" target="_blank">SPAW - Editor</a></td>
	</tr>
	</table>
	';
} 
// #################################################################################
function ReadEditor()
{
    global $module_name, $config_cmsdir;

    include('header.php');

    if (file_exists("{$config_cmsdir}/editor_cnf.php")) {
        if (!is_readable("{$config_cmsdir}/editor_cnf.php")) {
            /**
             * Datei kann nicht gelesen werden - Warnung ausgeben
             */
            OpenTableAl();
            echo "<p align=\"center\"><font class=\"title\"><strong>&nbsp;" . _FCKE_WARN . ":</strong></font></p>\n";
            echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_READCONF . " </strong></font></p>\n";
            CloseTableAl();
            echo '<br />';
        } else {
            /**
             * Konfigurations-Datei einbinden zum auslesen
             */
            require_once("{$config_cmsdir}/editor_cnf.php");
        } 
    } else {
        /**
         * Konfigurations-Datei fehlt - Warnung ausgeben
         */
        OpenTableAl();
        echo "<p align=\"center\"><font class=\"title\"><strong>&nbsp;" . _FCKE_WARN . ":</strong></font></p>\n";
        echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_CONFMISS . " </strong></font></p>\n";
        CloseTableAl();
        echo '<br />';
    } 
    if (@!is_file('spaw/spaw_control.class.php')) {
        OpenTable();
        echo "<p align=\"center\"><font class=\"title\"><strong>&nbsp;" . _FCKE_WARN . "</strong></font></p>\n";
        echo "<p align=\"center\">&nbsp;</p>\n";
        echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_FCKMISS . " </strong></font></p>\n";
        echo "<p align=\"center\">&nbsp;</p>\n";
        echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_CONFBREAK . " </strong></font></p>\n";
        CloseTable();
        include('footer.php');
        exit();
    } 

    /**
     * Start - nicht initialisierte Variablen belegen
     */

    $wysiwyg = (empty($wysiwyg)) ? 0 : intval($wysiwyg);
    $wysiwyg_css = (empty($wysiwyg_css)) ? 0 : intval($wysiwyg_css);
    $wysiwyg_fontsize = (empty($wysiwyg_fontsize)) ? 0 : intval($wysiwyg_fontsize);
    $wysiwyg_headsize = (empty($wysiwyg_headsize)) ? 0 : intval($wysiwyg_headsize);
    $wysiwyg_linx = (empty($wysiwyg_linx)) ? 0 : intval($wysiwyg_linx);
    $wysiwyg_topbox = (empty($wysiwyg_topbox)) ? 0 : intval($wysiwyg_topbox);
    $wysiwyg_review = (empty($wysiwyg_review)) ? 0 : intval($wysiwyg_review);
    $wysiwyg_uploadallow = (empty($wysiwyg_uploadallow)) ? 0 : intval($wysiwyg_uploadallow);
    $wysiwyg_allowdelete = (empty($wysiwyg_allowdelete)) ? 0 : intval($wysiwyg_allowdelete);
    $wysiwyg_comments = (empty($wysiwyg_comments)) ? 0 : intval($wysiwyg_comments);
    $wysiwyg_snews = (empty($wysiwyg_snews)) ? 0 : intval($wysiwyg_snews);
    $wysiwyg_sections = (empty($wysiwyg_sections)) ? 0 : intval($wysiwyg_sections);
    $wysiwyg_enzy = (empty($wysiwyg_enzy)) ? 0 : intval($wysiwyg_enzy);
    $wysiwyg_content = (empty($wysiwyg_content)) ? 0 : intval($wysiwyg_content);
    $wysiwyg_dolo = (empty($wysiwyg_dolo)) ? 0 : intval($wysiwyg_dolo);
    $wysiwyg_faq = (empty($wysiwyg_faq)) ? 0 : intval($wysiwyg_faq);
    $wysiwyg_ephem = (empty($wysiwyg_ephem)) ? 0 : intval($wysiwyg_ephem);
    $wysiwyg_anews = (empty($wysiwyg_anews)) ? 0 : intval($wysiwyg_anews);

    $wysiwyg_imagefla = (empty($wysiwyg_imagefla)) ? 0 : 1;
    $wysiwyg_imagegif = (empty($wysiwyg_imagegif)) ? ((isset($wysiwyg_imagegif)) ? 0 : 1) : 1;
    $wysiwyg_imagejpg = (empty($wysiwyg_imagejpg)) ? ((isset($wysiwyg_imagejpg)) ? 0 : 1) : 1;
    $wysiwyg_imagejpeg = (empty($wysiwyg_imagejpeg)) ? ((isset($wysiwyg_imagejpeg)) ? 0 : 1) : 1;
    $wysiwyg_imagepng = (empty($wysiwyg_imagepng)) ? ((isset($wysiwyg_imagepng)) ? 0 : 1) : 1;
    $wysiwyg_imageswf = (empty($wysiwyg_imageswf)) ? 0 : 1;
    $wysiwyg_imagebmp = (empty($wysiwyg_imagebmp)) ? 0 : 1;

    $wysiwyg_helvetica_family = (empty($wysiwyg_helvetica_family)) ? ((isset($wysiwyg_helvetica_family)) ? 0 : 1) : 1;
    $wysiwyg_times_family = (empty($wysiwyg_times_family)) ? ((isset($wysiwyg_times_family)) ? 0 : 1) : 1;
    $wysiwyg_courier_family = (empty($wysiwyg_courier_family)) ? ((isset($wysiwyg_courier_family)) ? 0 : 1) : 1;

    $wysiwyg_times = (empty($wysiwyg_times)) ? 0 : 1;
    $wysiwyg_verdana = (empty($wysiwyg_verdana)) ? 0 : 1;
    $wysiwyg_century = (empty($wysiwyg_century)) ? 0 : 1;
    $wysiwyg_comic = (empty($wysiwyg_comic)) ? 0 : 1;
    $wysiwyg_courier = (empty($wysiwyg_courier)) ? 0 : 1;
    $wysiwyg_arial = (empty($wysiwyg_arial)) ? 0 : 1;
    $wysiwyg_tahoma = (empty($wysiwyg_tahoma)) ? 0 : 1;

    $wysiwyg_blank = (empty($wysiwyg_blank)) ? ((isset($wysiwyg_blank)) ? 0 : 1) : 1;
    $wysiwyg_top = (empty($wysiwyg_top)) ? 0 : intval($wysiwyg_top);
    $wysiwyg_parent = (empty($wysiwyg_parent)) ? 0 : intval($wysiwyg_parent);
    $wysiwyg_self = (empty($wysiwyg_self)) ? ((isset($wysiwyg_self)) ? 0 : 1) : 1;

    $wysiwyg_maxup = (empty($wysiwyg_maxup)) ? 0 : intval($wysiwyg_maxup / 1024);
    $wysiwyg_uprestrict = (empty($wysiwyg_uprestrict)) ? 0 : intval($wysiwyg_uprestrict);
    $wysiwyg_style = (empty($wysiwyg_style)) ? "Normal" : stripslashes($wysiwyg_style);
    $wysiwyg_userpath = (empty($wysiwyg_userpath)) ? "images/iupload" : stripslashes($wysiwyg_userpath);
    $wysiwyg_btnset = (empty($wysiwyg_btnset)) ? "default" : stripslashes($wysiwyg_btnset);
    $wysiwyg_admintoolbar = (empty($wysiwyg_admintoolbar)) ? "" : trim($wysiwyg_admintoolbar);
    $wysiwyg_usertoolbar = (empty($wysiwyg_usertoolbar)) ? "" : trim($wysiwyg_usertoolbar);
    $wysiwyg_guesttoolbar = (empty($wysiwyg_guesttoolbar)) ? "" : trim($wysiwyg_guesttoolbar);

    $wysiwyg_mx_base_url = (empty($wysiwyg_mx_base_url)) ? MX_BASE_URL : trim($wysiwyg_mx_base_url);

    /**
     * Ende - nicht initialisierte Variablen belegen
     */

    title(_FCKE_MAINTITLE);

    OpenTable();
    echo "<div align=\"center\">[&nbsp;<a href=\"admin.php\" title=\"" . _ADMINMENUEBL . "\">" . _ADMINMENUEBL . "</a>&nbsp;]</div><br />";
    echo "<form action=\"admin.php\" method=\"post\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"SaveEditor\" />";
    echo "<table border=\"0\" cellpadding=\"2\" align=\"center\">\n";
    echo "<tr>";
    /**
     * Grundeinstellungen
     */
    echo "<td colspan=\"2\" class=\"option\"><blockquote><br /><strong>&nbsp;" . _FCKE_BASESET . ":</strong></blockquote></td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_ACTIVE . "?</td>\n";
    switch ($wysiwyg) {
        case "1":
            echo "<td><input type=\"radio\" name=\"xwysiwyg\" value=\"0\" />&nbsp;" . _FCKE_NO . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg\" value=\"1\" checked=\"checked\" />&nbsp;<em>" . _FCKE_YES . "</em></td>\n";
            break;
        default:
            echo "<td><input type=\"radio\" name=\"xwysiwyg\" value=\"0\" checked=\"checked\" />&nbsp;<em>" . _FCKE_NO . "</em>\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg\" value=\"1\" />&nbsp;" . _FCKE_YES . "</td>\n";
            break;
    } 
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_CALLMODULES . "?</td>\n";
    switch ($wysiwyg_snews) {
        case "1":
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_snews\" checked=\"checked\" />&nbsp;<em>" . _SUBMISSIONS . " (" . _FCKE_USER . ")</em>\n";
            break;
        default:
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_snews\" />&nbsp;" . _SUBMISSIONS . " (" . _FCKE_USER . ")\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_anews) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_anews\" checked=\"checked\" />&nbsp;<em>" . _SUBMISSIONS . " (" . _FCKE_CHIEFS . ")</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_anews\" />&nbsp;" . _SUBMISSIONS . " (" . _FCKE_CHIEFS . ")\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_comments) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_comments\" checked=\"checked\" />&nbsp;<em>" . _FCKE_COMMENTS . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_comments\" />&nbsp;" . _FCKE_COMMENTS . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_linx) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_linx\" checked=\"checked\" />&nbsp;<em>" . _WEBLINKS . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_linx\" />&nbsp;" . _WEBLINKS . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_topbox) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_topbox\" checked=\"checked\" />&nbsp;<em>" . _BLK_MESSAGE . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_topbox\" />&nbsp;" . _BLK_MESSAGE . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_sections) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_sections\" checked=\"checked\" />&nbsp;<em>" . _SECTIONS . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_sections\" />&nbsp;" . _SECTIONS . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_content) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_content\" checked=\"checked\" />&nbsp;<em>" . _CONTENT . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_content\" />&nbsp;" . _CONTENT . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_ephem) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_ephem\" checked=\"checked\" />&nbsp;<em>" . _EPHEMERIDS . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_ephem\" />&nbsp;" . _EPHEMERIDS . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_review) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_review\" checked=\"checked\" />&nbsp;<em>" . _WREVIEWS . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_review\" />&nbsp;" . _WREVIEWS . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_enzy) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_enzy\" checked=\"checked\" />&nbsp;<em>" . _ENCYCLOPEDIA . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_enzy\" />&nbsp;" . _ENCYCLOPEDIA . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_dolo) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_dolo\" checked=\"checked\" />&nbsp;<em>" . _DOWNLOADS . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_dolo\" />&nbsp;" . _DOWNLOADS . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_faq) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_faq\" checked=\"checked\" />&nbsp;<em>" . _FAQ . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_faq\" />&nbsp;" . _FAQ . "\n";
            break;
    } 
    echo "</td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_EXFILETYPES . "?</td>\n";
    echo "<td><input type=\"text\" size=\"30\" maxlength=\"100\" name=\"xwysiwyg_style\" value=\"{$wysiwyg_style}\" /></td>\n";
    echo "</tr>\n<tr>\n";
    /**
     * Upload - Engine
     */
    echo "<td colspan=\"2\" class=\"option\"><blockquote><br /><strong>&nbsp;" . _FCKE_PICTUREMAIN . ":</strong></blockquote></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_UPSETTING . "?</td>\n";
    switch ($wysiwyg_uploadallow) {
        case "0":
            echo "<td><input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"0\" checked=\"checked\" />&nbsp;<em>" . _FCKE_NOUP . "</em>\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"1\" />&nbsp;" . _FCKE_CHIEFS . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"2\" />&nbsp;" . _FCKE_CHIEFS . " " . _FCKE_AND . " " . _FCKE_USER . "</td>\n";
            break;
        case "1":
            echo "<td><input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"0\" />&nbsp;" . _FCKE_NOUP . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"1\" checked=\"checked\" />&nbsp;<em>" . _FCKE_CHIEFS . "</em>\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"2\" />&nbsp;" . _FCKE_CHIEFS . " " . _FCKE_AND . " " . _FCKE_USER . "</td>\n";
            break;
        case "2":
            echo "<td><input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"0\" />&nbsp;" . _FCKE_NOUP . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"1\" />&nbsp;" . _FCKE_CHIEFS . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"2\" checked=\"checked\" />&nbsp;<em>" . _FCKE_CHIEFS . " " . _FCKE_AND . " " . _FCKE_USER . "</em></td>\n";
            break;
        default:
            echo "<td><input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"0\" checked=\"checked\" />&nbsp;<em>" . _FCKE_NOUP . "</em>\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"1\" />&nbsp;" . _FCKE_CHIEFS . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_uploadallow\" value=\"2\" />&nbsp;" . _FCKE_CHIEFS . " " . _FCKE_AND . " " . _FCKE_USER . "</td>\n";
            break;
    } 
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_PICDEL . ":</td>\n";
    switch ($wysiwyg_allowdelete) {
        case "1":
            echo "<td><input type=\"radio\" name=\"xwysiwyg_allowdelete\" value=\"0\" />&nbsp;" . _FCKE_NO . "\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_allowdelete\" value=\"1\" checked=\"checked\" />&nbsp;<em>" . _FCKE_YES . "</em></td>\n";
            break;
        default:
            echo "<td><input type=\"radio\" name=\"xwysiwyg_allowdelete\" value=\"0\" checked=\"checked\" />&nbsp;<em>" . _FCKE_NO . "</em>\n<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_allowdelete\" value=\"1\" />&nbsp;" . _FCKE_YES . "</td>\n";
            break;
    } 
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_MFS . "</td>\n";
    echo "<td><input type=\"text\" size=\"30\" maxlength=\"5\" name=\"xwysiwyg_maxup\" value=\"{$wysiwyg_maxup}\" />&nbsp;(" . _FCKE_INKB . ")</td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_RESTRICTFOR . "</td>\n";
    echo "<td><select size=\"1\" name=\"xwysiwyg_uprestrict\">";

    if ($wysiwyg_uprestrict == 0) {
        echo "<option selected value=\"0\"></option>";
    } else {
        echo "<option selected value=\"0\"></option>";
    } 
    if ($wysiwyg_uprestrict == 1) {
        echo "<option selected value=\"1\">" . _FCKE_USER . "</option>";
    } else {
        echo "<option value=\"1\">" . _FCKE_USER . "</option>";
    } 
    if ($wysiwyg_uprestrict == 2) {
        echo "<option selected value=\"2\">" . _FCKE_CHIEFS . "</option>";
    } else {
        echo "<option value=\"2\">" . _FCKE_CHIEFS . "</option>";
    } 
    if ($wysiwyg_uprestrict == 3) {
        echo "<option selected value=\"3\">" . _FCKE_CHIEFS . " " . _FCKE_AND . " " . _FCKE_USER . "</option>";
    } else {
        echo "<option value=\"3\">" . _FCKE_CHIEFS . " " . _FCKE_AND . " " . _FCKE_USER . "</option>";
    } 
    echo "</select></td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_DIRSET . "?</td>\n";
    echo "<td>";
    if ((file_exists($wysiwyg_userpath)) && ($wysiwyg_uploadallow != 0)) {
        $permsdir = decoct(fileperms($wysiwyg_userpath));
        $perms = substr($permsdir, -3);
        if ($perms != "777") {
            @chmod($wysiwyg_userpath, 0777);
        } 
    } 
    echo "<input type=\"text\" size=\"30\" maxlength=\"255\" name=\"xwysiwyg_userpath\" value=\"{$wysiwyg_userpath}\" />&nbsp;(" . _FCKE_USRONLY . ")</td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_FILETYPES . "?</td>\n";
    switch ($wysiwyg_imagegif) {
        case "1":
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagegif\" checked=\"checked\" />&nbsp;<em>" . _FCKE_GIF . "</em>\n";
            break;
        default:
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagegif\" />&nbsp;" . _FCKE_GIF . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_imagejpg) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagejpg\" checked=\"checked\" />&nbsp;<em>" . _FCKE_JPG . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagejpg\" />&nbsp;" . _FCKE_JPG . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_imagejpeg) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagejpeg\" checked=\"checked\" />&nbsp;<em>" . _FCKE_JPEG . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagejpeg\" />&nbsp;" . _FCKE_JPEG . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_imagepng) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagepng\" checked=\"checked\" />&nbsp;<em>" . _FCKE_PNG . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagepng\" />&nbsp;" . _FCKE_PNG . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_imagebmp) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagebmp\" checked=\"checked\" />&nbsp;<em>" . _FCKE_BMP . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagebmp\" />&nbsp;" . _FCKE_BMP . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_imageswf) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imageswf\" checked=\"checked\" />&nbsp;<em>" . _FCKE_SWF . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imageswf\" />&nbsp;" . _FCKE_SWF . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_imagefla) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagefla\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FLA . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_imagefla\" />&nbsp;" . _FCKE_FLA . "\n";
            break;
    } 
    echo "</td>\n";
    echo "</tr>\n<tr>\n";
    /**
     * Grafische Optionen
     */
    echo "<td colspan=\"2\" class=\"option\"><blockquote><br /><strong>&nbsp;" . _FCKE_GRAPHICS . ":</strong></blockquote></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_BUTTONS . ":</td><td>\n";
    switch ($wysiwyg_btnset) {
        case "default":
            $skin = "classic";
            echo "<input type=\"radio\" name=\"xwysiwyg_btnset\" value=\"classic\" />&nbsp;<img border=\"0\" src=\"images/browser/{$skin}.gif\" alt=\"" . _FCKE_DEMOBTN . ": " . _FCKE_BASIC . "\" />&nbsp;" . _FCKE_BASIC . "\n";
            echo "<br />\n";
            $skin = "default";
            echo "<input type=\"radio\" name=\"xwysiwyg_btnset\" value=\"default\" checked=\"checked\" />&nbsp;<img border=\"0\" src=\"images/browser/{$skin}.gif\" alt=\"" . _FCKE_DEMOBTN . ": " . _FCKE_MDRN . "\" />&nbsp;<em>" . _FCKE_MDRN . "</em>\n";
            break;
        default:
            $skin = "classic";
            echo "<input type=\"radio\" name=\"xwysiwyg_btnset\" value=\"classic\" checked=\"checked\" />&nbsp;<img border=\"0\" src=\"images/browser/{$skin}.gif\" alt=\"" . _FCKE_DEMOBTN . ": " . _FCKE_BASIC . "\" />&nbsp;<em>" . _FCKE_BASIC . "</em>\n";
            echo "<br />\n";
            $skin = "default";
            echo "<input type=\"radio\" name=\"xwysiwyg_btnset\" value=\"default\" />&nbsp;<img border=\"0\" src=\"images/browser/{$skin}.gif\" alt=\"" . _FCKE_DEMOBTN . ": " . _FCKE_MDRN . "\" />&nbsp;" . _FCKE_MDRN . "\n";
            break;
    } 
    echo "</td></tr>\n";
    /**
     * Sonstige Optionen
     */
    echo "<tr>\n";
    echo "<td colspan=\"2\" class=\"option\"><blockquote><br /><strong>" . _FCKE_MISCOPT . ":</strong></blockquote></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td>&nbsp;" . _FCKE_TOOLMODE . " " . _FCKE_CHIEFS . "?</td>\n";
    if (empty($wysiwyg_admintoolbar)) {
        $wysiwyg_admintoolbar = "full";
    } else {
        stripslashes($wysiwyg_admintoolbar);
        $wysiwyg_admintoolbar = $wysiwyg_admintoolbar;
    } 
    echo "<td><select size=\"1\" name=\"xwysiwyg_admintoolbar\">\n";
    if ($wysiwyg_admintoolbar == "full") {
        echo "<option value=\"full\" selected=\"selected\">" . _FCKE_FULL . "</option>\n";
    } else {
        echo "<option value=\"full\">" . _FCKE_FULL . "</option>\n";
    } 
    if ($wysiwyg_admintoolbar == "default") {
        echo "<option value=\"default\" selected=\"selected\">" . _FCKE_INTLINK . "</option>\n";
    } else {
        echo "<option value=\"default\">" . _FCKE_INTLINK . "</option>\n";
    } 
    if ($wysiwyg_admintoolbar == "sidetable") {
        echo "<option value=\"sidetable\" selected=\"selected\">" . _FCKE_FCKETOOL . "</option>\n";
    } else {
        echo "<option value=\"sidetable\">" . _FCKE_FCKETOOL . "</option>\n";
    } 
    if ($wysiwyg_admintoolbar == "mini") {
        echo "<option value=\"mini\" selected=\"selected\">" . _FCKE_MINI . "</option>\n";
    } else {
        echo "<option value=\"mini\">" . _FCKE_MINI . "</option>\n";
    } 
    echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td>&nbsp;" . _FCKE_TOOLMODE . " " . _FCKE_USER . "?</td>\n";
    if (empty($wysiwyg_usertoolbar)) {
        $wysiwyg_usertoolbar = "sidetable";
    } else {
        stripslashes($wysiwyg_usertoolbar);
        $wysiwyg_usertoolbar = $wysiwyg_usertoolbar;
    } 
    echo "<td><select size=\"1\" name=\"xwysiwyg_usertoolbar\">\n";
    if ($wysiwyg_usertoolbar == "default") {
        echo "<option value=\"default\" selected=\"selected\">" . _FCKE_INTLINK . "</option>\n";
    } else {
        echo "<option value=\"default\">" . _FCKE_INTLINK . "</option>\n";
    } 
    if ($wysiwyg_usertoolbar == "sidetable") {
        echo "<option value=\"sidetable\" selected=\"selected\">" . _FCKE_FCKETOOL . "</option>\n";
    } else {
        echo "<option value=\"sidetable\">" . _FCKE_FCKETOOL . "</option>\n";
    } 
    if ($wysiwyg_usertoolbar == "mini") {
        echo "<option value=\"mini\" selected=\"selected\">" . _FCKE_MINI . "</option>\n";
    } else {
        echo "<option value=\"mini\">" . _FCKE_MINI . "</option>\n";
    } 
    echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td>&nbsp;" . _FCKE_TOOLMODE . " " . _FCKE_REST . "?</td>\n";
    if (empty($wysiwyg_guesttoolbar)) {
        $wysiwyg_guesttoolbar = "mini";
    } else {
        stripslashes($wysiwyg_guesttoolbar);
        $wysiwyg_guesttoolbar = $wysiwyg_guesttoolbar;
    } 
    echo "<td><select size=\"1\" name=\"xwysiwyg_guesttoolbar\">\n";
    if ($wysiwyg_guesttoolbar == "default") {
        echo "<option value=\"default\" selected=\"selected\">" . _FCKE_INTLINK . "</option>\n";
    } else {
        echo "<option value=\"default\">" . _FCKE_INTLINK . "</option>\n";
    } 
    if ($wysiwyg_guesttoolbar == "sidetable") {
        echo "<option value=\"sidetable\" selected=\"selected\">" . _FCKE_FCKETOOL . "</option>\n";
    } else {
        echo "<option value=\"sidetable\">" . _FCKE_FCKETOOL . "</option>\n";
    } 
    if ($wysiwyg_guesttoolbar == "mini") {
        echo "<option value=\"mini\" selected=\"selected\">" . _FCKE_MINI . "</option>\n";
    } else {
        echo "<option value=\"mini\">" . _FCKE_MINI . "</option>\n";
    } 
    echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_DEFLINKS . ":</td>\n";
    switch ($wysiwyg_blank) {
        case "1":
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_blank\" checked=\"checked\" />&nbsp;<em>" . _FCKE_BLANK . "</em>\n";
            break;
        default:
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_blank\" />&nbsp;" . _FCKE_BLANK . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_self) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_self\" checked=\"checked\" />&nbsp;<em>" . _FCKE_SELF . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_self\" />&nbsp;" . _FCKE_SELF . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_top) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_top\" checked=\"checked\" />&nbsp;<em>" . _FCKE_TOP . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_top\" />&nbsp;" . _FCKE_TOP . "\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_parent) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_parent\" checked=\"checked\" />&nbsp;<em>" . _FCKE_PARENT . "</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_parent\" />&nbsp;" . _FCKE_PARENT . "\n";
            break;
    } 
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_DEFFONT . ":</td>\n";
    switch ($wysiwyg_times_family) {
        case "1":
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_times_family\"  checked=\"checked\"  />&nbsp;<em>" . _FCKE_FONTFAM . " &quot;Times&quot;&nbsp;(" . _FCKE_RECOMM . ")</em>\n";
            break;
        default:
            echo "<td><input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_times_family\" />&nbsp;" . _FCKE_FONTFAM . " &quot;Times&quot;&nbsp;(" . _FCKE_RECOMM . ")\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_helvetica_family) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_helvetica_family\"  checked=\"checked\"  />&nbsp;<em>" . _FCKE_FONTFAM . " &quot;Helvetica&quot;&nbsp;(" . _FCKE_RECOMM . ")</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_helvetica_family\" />&nbsp;" . _FCKE_FONTFAM . " &quot;Helvetica&quot;&nbsp;(" . _FCKE_RECOMM . ")\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_courier_family) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_courier_family\"  checked=\"checked\"  />&nbsp;<em>" . _FCKE_FONTFAM . " &quot;Courier&quot;&nbsp;(" . _FCKE_RECOMM . ")</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_courier_family\" />&nbsp;" . _FCKE_FONTFAM . " &quot;Courier&quot;&nbsp;(" . _FCKE_RECOMM . ")\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_times) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_times\"  checked=\"checked\"  />&nbsp;<em>" . _FCKE_FONT . " &quot;Times New Roman&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_times\" />&nbsp;" . _FCKE_FONT . " &quot;Times New Roman&quot;\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_arial) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_arial\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FONT . " &quot;Arial&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_arial\" />&nbsp;" . _FCKE_FONT . " &quot;Arial&quot;\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_verdana) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_verdana\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FONT . " &quot;Verdana&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_verdana\" />&nbsp;" . _FCKE_FONT . " &quot;Verdana&quot;\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_courier) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_courier\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FONT . " &quot;Courier&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_courier\" />&nbsp;" . _FCKE_FONT . " &quot;Courier&quot;\n";
            break;
    } 
    echo "<br />\n";

    switch ($wysiwyg_tahoma) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_tahoma\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FONT . " &quot;Tahoma&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_tahoma\" />&nbsp;" . _FCKE_FONT . " &quot;Tahoma&quot;\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_comic) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_comic\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FONT . " &quot;Comic Sans MS&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_comic\" />&nbsp;" . _FCKE_FONT . " &quot;Comic Sans MS&quot;\n";
            break;
    } 
    echo "<br />\n";
    switch ($wysiwyg_century) {
        case "1":
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_century\" checked=\"checked\" />&nbsp;<em>" . _FCKE_FONT . " &quot;Century Gothic&quot;</em>\n";
            break;
        default:
            echo "<input type=\"checkbox\" value=\"1\" name=\"xwysiwyg_century\" />&nbsp;" . _FCKE_FONT . " &quot;Century Gothic&quot;\n";
            break;
    } 
    echo "</td>\n";
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_HDSIZ . ":</td>\n";
    switch ($wysiwyg_headsize) {
        case "1":
            echo "<td><input type=\"radio\" name=\"xwysiwyg_headsize\" value=\"1\" checked=\"checked\" />&nbsp;<em>" . _FCKE_ALL . "</em>\n";
            echo "<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_headsize\" value=\"0\" />&nbsp;" . _FCKE_ONLY . " H5 (S), H4 (M), H3 (L)&nbsp;(" . _FCKE_RECOMM . ")</td>\n";
            break;
        default:
            echo "<td><input type=\"radio\" name=\"xwysiwyg_headsize\" value=\"1\" />&nbsp;" . _FCKE_ALL . "\n";
            echo "<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_headsize\" value=\"0\" checked=\"checked\" />&nbsp;<em>" . _FCKE_ONLY . " H5 (S), H4 (M), H3 (L)&nbsp;(" . _FCKE_RECOMM . ")</em></td>\n";
            break;
    } 
    echo "</tr>\n";
    echo "<tr>\n";
    echo "<td valign=\"top\">&nbsp;" . _FCKE_FNTSIZ . ":</td>\n";
    switch ($wysiwyg_fontsize) {
        case "1":
            echo "<td><input type=\"radio\" name=\"xwysiwyg_fontsize\" value=\"1\" checked=\"checked\" />&nbsp;<em>" . _FCKE_ALL . "</em>\n";
            echo "<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_fontsize\" value=\"0\" />&nbsp;" . _FCKE_ONLY . " 2 (S), 3 (M), 4 (L)&nbsp;(" . _FCKE_RECOMM . ")</td>\n";
            break;
        default:
            echo "<td><input type=\"radio\" name=\"xwysiwyg_fontsize\" value=\"1\" />&nbsp;" . _FCKE_ALL . "\n";
            echo "<br />\n";
            echo "<input type=\"radio\" name=\"xwysiwyg_fontsize\" value=\"0\" checked=\"checked\" />&nbsp;<em>" . _FCKE_ONLY . " 2 (S), 3 (M), 4 (L)&nbsp;(" . _FCKE_RECOMM . ")</em></td>\n";
            break;
    } 
    echo "</tr>\n";
    /**
     * Speichern
     */
    echo '<tr><td colspan="2" align="center">
<br />
<input type="submit" value="- ' . _FCKE_SAVE . ' -" name="wysiwyg_save" />
</td></tr>
</table>
</form>
';

    CloseTable();
    echo "<br />\n";
    OpenTable();

    $browserimagedir = "images/browser";

    echo wysiwyg_sup_browser();
    CloseTable();

    include('footer.php');
} 

function SaveEditor()
{
    global $module_name, $config_cmsdir;

    /**
     * Seitenaufbau - Ausgabe
     */

    if (file_exists("{$config_cmsdir}/editor_cnf.php")) {
        if (!is_readable("{$config_cmsdir}/editor_cnf.php")) {
            /**
             * Datei kann nicht gelesen werden - Warnung ausgeben
             */
            include('header.php');
            OpenTable();
            echo "<p align=\"center\"><font class=\"title\"><strong>&nbsp;" . _FCKE_WARN . ":</strong></font></p>\n";
            echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_READCONF . " </strong></font></p>\n";
            echo "<p align=\"center\"><font class=\"content\"><strong> " . _GOBACK . " </strong></font></p>\n";
            CloseTable();
            echo '<br />';
            include('footer.php');
            return;
        } else {
            /**
             * Konfigurations-Datei einbinden zum auslesen
             */
            require_once("{$config_cmsdir}/editor_cnf.php");
        } 
    } else {
        /**
         * Konfigurations-Datei fehlt - Warnung ausgeben
         */
        include('header.php');
        OpenTable();
        echo "<p align=\"center\"><font class=\"title\"><strong>&nbsp;" . _FCKE_WARN . ":</strong></font></p>\n";
        echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_CONFMISS . " </strong></font></p>\n";
        echo "<p align=\"center\"><font class=\"content\"><strong> " . _GOBACK . " </strong></font></p>\n";
        CloseTable();
        echo '<br />';
        include('footer.php');
        return;
    } 

    $_POST['xwysiwyg_style'] = trim($_POST['xwysiwyg_style'], ' ,');
    $_POST['xwysiwyg_btnset'] = trim($_POST['xwysiwyg_btnset'], ' ,');
    $_POST['xwysiwyg_admintoolbar'] = (empty($_POST['xwysiwyg_admintoolbar'])) ? "full" : trim($_POST['xwysiwyg_admintoolbar']);
    $_POST['xwysiwyg_guesttoolbar'] = (empty($_POST['xwysiwyg_guesttoolbar'])) ? "mini" : trim($_POST['xwysiwyg_guesttoolbar']);
    $_POST['xwysiwyg_usertoolbar'] = (empty($_POST['xwysiwyg_usertoolbar'])) ? "default" : trim($_POST['xwysiwyg_usertoolbar']);
    $_POST['xwysiwyg_userpath'] = trim($_POST['xwysiwyg_userpath'], ' /');
    $_POST['xwysiwyg'] = (empty($_POST['xwysiwyg'])) ? 0 : intval($_POST['xwysiwyg']);
    $_POST['xwysiwyg_content'] = (empty($_POST['xwysiwyg_content'])) ? 0 : intval($_POST['xwysiwyg_content']);
    $_POST['xwysiwyg_sections'] = (empty($_POST['xwysiwyg_sections'])) ? 0 : intval($_POST['xwysiwyg_sections']);
    $_POST['xwysiwyg_comments'] = (empty($_POST['xwysiwyg_comments'])) ? 0 : intval($_POST['xwysiwyg_comments']);
    $_POST['xwysiwyg_faq'] = (empty($_POST['xwysiwyg_faq'])) ? 0 : intval($_POST['xwysiwyg_faq']);
    $_POST['xwysiwyg_review'] = (empty($_POST['xwysiwyg_review'])) ? 0 : intval($_POST['xwysiwyg_review']);
    $_POST['xwysiwyg_enzy'] = (empty($_POST['xwysiwyg_enzy'])) ? 0 : intval($_POST['xwysiwyg_enzy']);
    $_POST['xwysiwyg_ephem'] = (empty($_POST['xwysiwyg_ephem'])) ? 0 : intval($_POST['xwysiwyg_ephem']);
    $_POST['xwysiwyg_anews'] = (empty($_POST['xwysiwyg_anews'])) ? 0 : intval($_POST['xwysiwyg_anews']);
    $_POST['xwysiwyg_snews'] = (empty($_POST['xwysiwyg_snews'])) ? 0 : intval($_POST['xwysiwyg_snews']);
    $_POST['xwysiwyg_review'] = (empty($_POST['xwysiwyg_review'])) ? 0 : intval($_POST['xwysiwyg_review']);
    $_POST['xwysiwyg_dolo'] = (empty($_POST['xwysiwyg_dolo'])) ? 0 : intval($_POST['xwysiwyg_dolo']);
    $_POST['xwysiwyg_blank'] = (empty($_POST['xwysiwyg_blank'])) ? 0 : intval($_POST['xwysiwyg_blank']);
    $_POST['xwysiwyg_top'] = (empty($_POST['xwysiwyg_top'])) ? 0 : intval($_POST['xwysiwyg_top']);
    $_POST['xwysiwyg_parent'] = (empty($_POST['xwysiwyg_parent'])) ? 0 : intval($_POST['xwysiwyg_parent']);
    $_POST['xwysiwyg_self'] = (empty($_POST['xwysiwyg_self'])) ? 0 : intval($_POST['xwysiwyg_self']);
    $_POST['xwysiwyg_helvetica_family'] = (empty($_POST['xwysiwyg_helvetica_family'])) ? 0 : intval($_POST['xwysiwyg_helvetica_family']);
    $_POST['xwysiwyg_times_family'] = (empty($_POST['xwysiwyg_times_family'])) ? 0 : intval($_POST['xwysiwyg_times_family']);
    $_POST['xwysiwyg_courier_family'] = (empty($_POST['xwysiwyg_courier_family'])) ? 0 : intval($_POST['xwysiwyg_courier_family']);
    $_POST['xwysiwyg_times'] = (empty($_POST['xwysiwyg_times'])) ? 0 : intval($_POST['xwysiwyg_times']);
    $_POST['xwysiwyg_verdana'] = (empty($_POST['xwysiwyg_verdana'])) ? 0 : intval($_POST['xwysiwyg_verdana']);
    $_POST['xwysiwyg_century'] = (empty($_POST['xwysiwyg_century'])) ? 0 : intval($_POST['xwysiwyg_century']);
    $_POST['xwysiwyg_comic'] = (empty($_POST['xwysiwyg_comic'])) ? 0 : intval($_POST['xwysiwyg_comic']);
    $_POST['xwysiwyg_courier'] = (empty($_POST['xwysiwyg_courier'])) ? 0 : intval($_POST['xwysiwyg_courier']);
    $_POST['xwysiwyg_arial'] = (empty($_POST['xwysiwyg_arial'])) ? 0 : intval($_POST['xwysiwyg_arial']);
    $_POST['xwysiwyg_tahoma'] = (empty($_POST['xwysiwyg_tahoma'])) ? 0 : intval($_POST['xwysiwyg_tahoma']);
    $_POST['xwysiwyg_imagefla'] = (empty($_POST['xwysiwyg_imagefla'])) ? 0 : intval($_POST['xwysiwyg_imagefla']);
    $_POST['xwysiwyg_imagegif'] = (empty($_POST['xwysiwyg_imagegif'])) ? 0 : intval($_POST['xwysiwyg_imagegif']);
    $_POST['xwysiwyg_imagejpg'] = (empty($_POST['xwysiwyg_imagejpg'])) ? 0 : intval($_POST['xwysiwyg_imagejpg']);
    $_POST['xwysiwyg_imagejpeg'] = (empty($_POST['xwysiwyg_imagejpeg'])) ? 0 : intval($_POST['xwysiwyg_imagejpeg']);
    $_POST['xwysiwyg_imagepng'] = (empty($_POST['xwysiwyg_imagepng'])) ? 0 : intval($_POST['xwysiwyg_imagepng']);
    $_POST['xwysiwyg_imageswf'] = (empty($_POST['xwysiwyg_imageswf'])) ? 0 : intval($_POST['xwysiwyg_imageswf']);
    $_POST['xwysiwyg_imagebmp'] = (empty($_POST['xwysiwyg_imagebmp'])) ? 0 : intval($_POST['xwysiwyg_imagebmp']);
    $_POST['xwysiwyg_linx'] = (empty($_POST['xwysiwyg_linx'])) ? 0 : intval($_POST['xwysiwyg_linx']);
    $_POST['xwysiwyg_topbox'] = (empty($_POST['xwysiwyg_topbox'])) ? 0 : intval($_POST['xwysiwyg_topbox']);
    $_POST['xwysiwyg_fontsize'] = (empty($_POST['xwysiwyg_fontsize'])) ? 0 : intval($_POST['xwysiwyg_fontsize']);
    $_POST['xwysiwyg_headsize'] = (empty($_POST['xwysiwyg_headsize'])) ? 0 : intval($_POST['xwysiwyg_headsize']);
    $_POST['xwysiwyg_css'] = (empty($_POST['xwysiwyg_css'])) ? 0 : intval($_POST['xwysiwyg_css']);
    $_POST['xwysiwyg_uploadallow'] = (empty($_POST['xwysiwyg_uploadallow'])) ? 0 : intval($_POST['xwysiwyg_uploadallow']);
    $_POST['xwysiwyg_allowdelete'] = (empty($_POST['xwysiwyg_allowdelete'])) ? 0 : intval($_POST['xwysiwyg_allowdelete']);
    $_POST['xwysiwyg_maxup'] = (empty($_POST['xwysiwyg_maxup'])) ? 0 : intval($_POST['xwysiwyg_maxup'] * 1024);
    $_POST['xwysiwyg_uprestrict'] = (empty($_POST['xwysiwyg_uprestrict'])) ? 0 : intval($_POST['xwysiwyg_uprestrict']);

    $_POST['wysiwyg_mx_base_url'] = (empty($wysiwyg_mx_base_url)) ? MX_BASE_URL : trim($wysiwyg_mx_base_url);
    extract($_POST);
    /**
     * Anfang Config-String bilden
     */

    $line = "/*------------------------------------*/\n";
    $wysiwyg_file = "<?php\n";
    $wysiwyg_file .= "/*************************************************************\n";
    $wysiwyg_file .= "* pragmaMx  Content Management System                        *\n";
    $wysiwyg_file .= "* Copyright (c) 2006 pragmaMx Dev Team                       *\n";
    $wysiwyg_file .= "* http://pragmaMx.org                                        *\n";
    $wysiwyg_file .= "**************************************************************\n";
    $wysiwyg_file .= "* This file is to configure the wysiwyg-editor for your site *\n";
    $wysiwyg_file .= "/*************************************************************\n";
    $wysiwyg_file .= "\n// write with: \$Id: mxeditor.php,v 1.24 2007/06/19 05:13:38 tora60 Exp $\n\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* WYSIWYG an/aus / WYSIWYG on/off    *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg = $xwysiwyg;\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* Grundeinstellungen / Base-Settings *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_style = \"$xwysiwyg_style\";\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_snews    = $xwysiwyg_snews;\n";
    $wysiwyg_file .= "\$wysiwyg_anews    = $xwysiwyg_anews;\n";
    $wysiwyg_file .= "\$wysiwyg_comments = $xwysiwyg_comments;\n";
    $wysiwyg_file .= "\$wysiwyg_content  = $xwysiwyg_content;\n";
    $wysiwyg_file .= "\$wysiwyg_sections = $xwysiwyg_sections;\n";
    $wysiwyg_file .= "\$wysiwyg_faq      = $xwysiwyg_faq;\n";
    $wysiwyg_file .= "\$wysiwyg_enzy     = $xwysiwyg_enzy;\n";
    $wysiwyg_file .= "\$wysiwyg_ephem    = $xwysiwyg_ephem;\n";
    $wysiwyg_file .= "\$wysiwyg_dolo     = $xwysiwyg_dolo;\n";
    $wysiwyg_file .= "\$wysiwyg_review   = $xwysiwyg_review;\n";
    $wysiwyg_file .= "\$wysiwyg_linx     = $xwysiwyg_linx;\n";
    $wysiwyg_file .= "\$wysiwyg_topbox   = $xwysiwyg_topbox;\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* Bildeinstellungen / Upload-Engine  *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_uploadallow = $xwysiwyg_uploadallow;\n";
    $wysiwyg_file .= "\$wysiwyg_allowdelete = $xwysiwyg_allowdelete;\n";
    $wysiwyg_file .= "\$wysiwyg_imagegif    = $xwysiwyg_imagegif;\n";
    $wysiwyg_file .= "\$wysiwyg_imagejpg    = $xwysiwyg_imagejpg;\n";
    $wysiwyg_file .= "\$wysiwyg_imagejpeg   = $xwysiwyg_imagejpeg;\n";
    $wysiwyg_file .= "\$wysiwyg_imagepng    = $xwysiwyg_imagepng;\n";
    $wysiwyg_file .= "\$wysiwyg_imagebmp    = $xwysiwyg_imagebmp;\n";
    $wysiwyg_file .= "\$wysiwyg_imageswf    = $xwysiwyg_imageswf;\n";
    $wysiwyg_file .= "\$wysiwyg_imagefla    = $xwysiwyg_imagefla;\n";
    $wysiwyg_file .= "\$wysiwyg_userpath    = \"$xwysiwyg_userpath\";\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_maxup       = $xwysiwyg_maxup;\n";
    $wysiwyg_file .= "\$wysiwyg_uprestrict  = $xwysiwyg_uprestrict;\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* Grafische Option / Graphic Options *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_css    = $xwysiwyg_css;\n";
    $wysiwyg_file .= "\$wysiwyg_btnset = \"$xwysiwyg_btnset\";\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* Sonstiges Toolbar / Misc Toolbar   *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_admintoolbar = \"$xwysiwyg_admintoolbar\";\n";
    $wysiwyg_file .= "\$wysiwyg_usertoolbar  = \"$xwysiwyg_usertoolbar\";\n";
    $wysiwyg_file .= "\$wysiwyg_guesttoolbar = \"$xwysiwyg_guesttoolbar\";\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* Sonstiges Schrift / Misc Font      *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_fontsize         = $xwysiwyg_fontsize;\n";
    $wysiwyg_file .= "\$wysiwyg_headsize         = $xwysiwyg_headsize;\n";
    $wysiwyg_file .= "\$wysiwyg_times_family     = $xwysiwyg_times_family;\n";
    $wysiwyg_file .= "\$wysiwyg_helvetica_family = $xwysiwyg_helvetica_family;\n";
    $wysiwyg_file .= "\$wysiwyg_courier_family   = $xwysiwyg_courier_family;\n";
    $wysiwyg_file .= "\$wysiwyg_times            = $xwysiwyg_times;\n";
    $wysiwyg_file .= "\$wysiwyg_verdana          = $xwysiwyg_verdana;\n";
    $wysiwyg_file .= "\$wysiwyg_arial            = $xwysiwyg_arial;\n";
    $wysiwyg_file .= "\$wysiwyg_comic            = $xwysiwyg_comic;\n";
    $wysiwyg_file .= "\$wysiwyg_century          = $xwysiwyg_century;\n";
    $wysiwyg_file .= "\$wysiwyg_courier          = $xwysiwyg_courier;\n";
    $wysiwyg_file .= "\$wysiwyg_tahoma           = $xwysiwyg_tahoma;\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* Sonstiges Linkziele / Misc Links   *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_blank  = $xwysiwyg_blank;\n";
    $wysiwyg_file .= "\$wysiwyg_self   = $xwysiwyg_self;\n";
    $wysiwyg_file .= "\$wysiwyg_top    = $xwysiwyg_top;\n";
    $wysiwyg_file .= "\$wysiwyg_parent = $xwysiwyg_parent;\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "/* URL zum Editor  *\n";
    $wysiwyg_file .= "$line";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "\$wysiwyg_mx_base_url = '$wysiwyg_mx_base_url';\n";
    $wysiwyg_file .= "\n";
    $wysiwyg_file .= "?>";
    /**
     * Ende Config-String bilden
     */

    /**
     * Bei Readonly versuchen 666 zu setzen
     */
    if (!is_writable("{$config_cmsdir}/editor_cnf.php")) {
        @chmod("{$config_cmsdir}/editor_cnf.php", 0666);
    } 

    /**
     * Config speichern
     */
    $file = @fopen("{$config_cmsdir}/editor_cnf.php", "w");
    $ok = @fwrite($file, $wysiwyg_file);
    @fclose($file);

    /**
     * Versuche aus Sicherheitsgrnden 644 zu setzen
     */
    if (is_writable("{$config_cmsdir}/editor_cnf.php")) {
        @chmod("{$config_cmsdir}/editor_cnf.php", 0644);
    } 

    if ($ok) {
        mxRedirect('admin.php?op=ReadEditor', _FCKE_SETTINGSAVED, 1);
        return;
    } 

    include('header.php');
    OpenTable();
    echo "<p align=\"center\"><font class=\"title\"><strong>&nbsp;" . _FCKE_WARN . ":</strong></font></p>\n";
    echo "<p align=\"center\"><font class=\"content\"><strong> " . _FCKE_SETTINGNOSAVED . " </strong></font></p>\n";
    echo "<p align=\"center\"><font class=\"content\"><strong> " . _GOBACK . " </strong></font></p>\n";
    CloseTable();
    echo '<br />';
    include('footer.php');
    return;
} 
// #################################################################################
function WorkCSS()
{
    include('header.php');

    $stylesheet = isset($_POST['stylesheet']) ? $_POST['stylesheet'] : false;

    $theme = isset($_POST['theme']) ? $_POST['theme'] : mxGetTheme();

    OpenTable();
    echo "<p align=\"center\"><font class=\"title\"><strong>" . _FCKE_MAINTITLE . "</strong></font>&nbsp;(" . _FCKE_WORKTHECSS . ")</p>\n";
    CloseTable();

    echo '<br />';

    OpenTable();

    echo "<div align=\"center\">\n";
    $themedir = opendir('themes');
    while ($file = readdir($themedir)) {
        if (!ereg('[.]', $file) && $file != 'CVS') {
            $themelist[] = $file;
        } 
    } 
    closedir($themedir);
    sort($themelist);
    echo "<form action=\"admin.php\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"op\" value=\"WorkCSS\" />\n"
     . "<select name=\"theme\" id=\"theme\">\n";
    $k = $j = 0;
    while ($k <= count($themelist)-1) {
        echo '<option value="' . $themelist[$k] . '"';
        if ($themelist[$k] == $theme) {
            echo ' selected';
        } 
        echo ' >' . $themelist[$k] . "\n";
        $k++;
    } 
    echo "</select>\n";
    echo "<input type=\"submit\" value=\"" . _FCKE_SELTHEME . "\" />\n";
    echo "</form>\n";
    echo "<form action=\"admin.php\" method=\"post\">\n";
    echo "<input type=\"hidden\" name=\"op\" value=\"WorkCSS\" />\n";
    if ($stylesheet) {
        if (file_exists("themes/" . $theme . "/style/style.css")) {
            if (!is_writable("themes/" . $theme . "/style/style.css")) {
                @chmod("themes/" . $theme . "/style/style.css", 0666);
            } 
            $cssfile = fopen("themes/" . $theme . "/style/style.css", 'w');
            fwrite($cssfile, $stylesheet);
            fclose($cssfile);
            if (is_writable("themes/" . $theme . "/style/style.css")) {
                @chmod("themes/" . $theme . "/style/style.css", 0644);
            } 
        } else {
            if (!is_writable("themes/" . $theme . "/style/style.php")) {
                @chmod("themes/" . $theme . "/style/style.php", 0666);
            } 
            $cssfile = fopen("themes/" . $theme . "/style/style.php", 'w');
            fwrite($cssfile, $stylesheet);
            fclose($cssfile);
            if (is_writable("themes/" . $theme . "/style/style.php")) {
                @chmod("themes/" . $theme . "/style/style.php", 0644);
            } 
        } 

        echo "<meta HTTP-EQUIV=\"refresh\" content=\"5;URL=" . MX_BASE_URL . "admin.php?op=ReadEditor\" />\n";
        OpenTable();
        echo '<div align="center">
[&nbsp;<a href="admin.php" title="' . _ADMINMENUEBL . '">' . _ADMINMENUEBL . '</a> | <a href="admin.php?op=ReadEditor" title="' . _FCKE_MAINTITLE . '">' . _FCKE_MAINTITLE . '</a>&nbsp;]
</div> 
<br /><br />';
        echo wysiwyg_sup_browser();
        CloseTable();
        echo '<br />';
    } else {
        echo "<p align=\"center\"><strong>" . _FCKE_WORKTHECSSLONG . ".</strong><br /><font class=\"tiny\" color=\"red\">" . _FCKE_666 . "!</font></p>\n";

        echo "<p align=\"center\">" . _GOBACK . "</p>\n";

        echo '<br />';
    } 
    echo "<textarea style=\"width:100%;height:400px\" name=\"stylesheet\" id=\"stylesheet\">\n";
    if (file_exists("themes/" . $theme . "/style/style.css")) {
        $cssfile = file("themes/" . $theme . "/style/style.css");
    } else {
        $cssfile = file("themes/" . $theme . "/style/style.php");
    } while ($j < count($cssfile)) {
        echo $cssfile[$j];
        $j++;
    } 
    echo "</textarea>\n";
    echo "<br />\n<br />\n";
    echo "<input type=\"submit\" name=\"submit\" id=\"submit\" value=\"" . _FCKE_SAVE . "\" />\n";
    echo "</form>\n";
    echo "</div>\n";
    include('footer.php');
} 
// #################################################################################
switch ($_REQUEST['op']) {
    case "SaveEditor":
        SaveEditor();
        break;
    case "WorkCSS":
        WorkCSS();
        break;
    case "ReadEditor":
        ReadEditor();
    default:

} 

?>

